'use strict';


function testXhr() {
  return new Promise((resolve, reject) => {
    let xhr = new XMLHttpRequest();
    xhr.open('GET', 'xhrbug.json', true);
    xhr.addEventListener('readystatechange', () => {
      if (xhr.readyState == XMLHttpRequest.DONE) {
        resolve(JSON.parse(xhr.responseText));
      }
    });
    xhr.addEventListener('error', reject);
    xhr.send();
  });
}

let win;

global.addEventListener('testxhr', () => {
  testXhr().then((data) => {
    console.log(data);
    if (win) {
      win.window.postMessage({success: true, data}, '*');
    }
  }, (error) => {
    console.error(error);
    if (win) {
      win.window.postMessage({success: false, error: error.toString()}, '*');
    }
  });
});


nw.Window.open('window.html', {}, (win_) => {
  win = win_;
});
